package com.huatek.busi.service;

import com.huatek.busi.dto.SysFileDto;
import com.huatek.busi.vo.RModelVo;
import com.huatek.busi.vo.SysFileVo;
import com.huatek.busi.where.SysFileSelectVo;

import java.io.File;
import java.util.List;
import java.util.Map;

public interface ISysFileService {

    Map<String, Object> list(SysFileSelectVo sysFileSelectVo);

    Map<String, Object> downloadFiles(String filePath);

    File downloadExcel(String path, String equType, String pathName);

    Map<String, Object> findFileList(String refId);

    void saveOrUpdate(SysFileVo sysFileVo);

    List<SysFileDto> update(String businessId, String equType);

    Map<String, Object> findListAnnex(SysFileSelectVo sysFileSelectVo);

    Map<String, Object> deleteFiles(List<String> refIds, String equType);

    Integer findMaxCount(String eqType, String date, String fileType);

    int updateByRefIdsAndEquType(List<String> refId, String eqType);

    int updateByRefIdsAndEquTypes(String eqType, String refId);
}
